Subject: Re: Newer laptops & CPU speed

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 16 Mar 2005 10:35:35 +1100

> My ibook G4 boots at low speed. /proc/cpuinfo shows 666MHz and a smiliar
> bogomips value. Nevertheless, the cpu frequency scaler works, i.e. set
> it to performance to be at high speed after boot up, or, as I currently
> do, use the userspace governor and powernowd. All this is without your
> patch (Did not try it yet, my ibook lacks internet) on linus' 2.6.11.

Sure, I already had support for some models :) The patch extends it to
all present and future models that are MacRISC3 and have a 7447A CPU.

Ben.